package com.mortals.xhx.module.device.model;

import java.util.List;
/**
 * 设备告警日志查询对象
 *
 * @author zxfei
 * @date 2023-04-27
 */
public class DeviceAlarmInfoQuery extends DeviceAlarmInfoEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 告警时间 */
    private String alarmTimeStart;

    /** 结束 告警时间 */
    private String alarmTimeEnd;

    /** 开始 告警设备Id */
    private Long alarmDeviceStart;

    /** 结束 告警设备Id */
    private Long alarmDeviceEnd;

    /** 增加 告警设备Id */
    private Long alarmDeviceIncrement;

    /** 告警设备Id列表 */
    private List <Long> alarmDeviceList;

    /** 告警设备Id排除列表 */
    private List <Long> alarmDeviceNotList;

    /** 开始 告警类型,(0.离线) */
    private Integer alarmTypeStart;

    /** 结束 告警类型,(0.离线) */
    private Integer alarmTypeEnd;

    /** 增加 告警类型,(0.离线) */
    private Integer alarmTypeIncrement;

    /** 告警类型,(0.离线)列表 */
    private List <Integer> alarmTypeList;

    /** 告警类型,(0.离线)排除列表 */
    private List <Integer> alarmTypeNotList;

    /** 开始 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelStart;

    /** 结束 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelEnd;

    /** 增加 告警级别(0.危险，1.次要，2.一般) */
    private Integer alarmLevelIncrement;

    /** 告警级别(0.危险，1.次要，2.一般)列表 */
    private List <Integer> alarmLevelList;

    /** 告警级别(0.危险，1.次要，2.一般)排除列表 */
    private List <Integer> alarmLevelNotList;

    /** 接收人员[设备管理的责任人] */
    private List<String> alarmReceivePersonnelList;

    /** 接收人员[设备管理的责任人]排除列表 */
    private List <String> alarmReceivePersonnelNotList;
    /** 接收人员电话 */
    private List<String> receivePersonnelTelephoneList;

    /** 接收人员电话排除列表 */
    private List <String> receivePersonnelTelephoneNotList;
    /** 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认) */
    private Integer alarmStatusStart;

    /** 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认) */
    private Integer alarmStatusEnd;

    /** 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认) */
    private Integer alarmStatusIncrement;

    /** 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)列表 */
    private List <Integer> alarmStatusList;

    /** 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)排除列表 */
    private List <Integer> alarmStatusNotList;

    /** 告警详细内容 */
    private List<String> alarmContentList;

    /** 告警详细内容排除列表 */
    private List <String> alarmContentNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 站点Id，来源基础服务平台 */
    private Long siteIdStart;

    /** 结束 站点Id，来源基础服务平台 */
    private Long siteIdEnd;

    /** 增加 站点Id，来源基础服务平台 */
    private Long siteIdIncrement;

    /** 站点Id，来源基础服务平台列表 */
    private List <Long> siteIdList;

    /** 站点Id，来源基础服务平台排除列表 */
    private List <Long> siteIdNotList;

    /** 设备编码 */
    private List<String> deviceCodeList;

    /** 设备编码排除列表 */
    private List <String> deviceCodeNotList;
    /** 设备名称 */
    private List<String> deviceNameList;

    /** 设备名称排除列表 */
    private List <String> deviceNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceAlarmInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceAlarmInfoQuery> andConditionList;

    public DeviceAlarmInfoQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 告警时间
     * @return alarmTimeStart
     */
    public String getAlarmTimeStart(){
        return this.alarmTimeStart;
    }

    /**
     * 设置 开始 告警时间
     * @param alarmTimeStart
     */
    public void setAlarmTimeStart(String alarmTimeStart){
        this.alarmTimeStart = alarmTimeStart;
    }

    /**
     * 获取 结束 告警时间
     * @return alarmTimeEnd
     */
    public String getAlarmTimeEnd(){
        return this.alarmTimeEnd;
    }

    /**
     * 设置 结束 告警时间
     * @param alarmTimeEnd
     */
    public void setAlarmTimeEnd(String alarmTimeEnd){
        this.alarmTimeEnd = alarmTimeEnd;
    }

    /**
     * 获取 开始 告警设备Id
     * @return alarmDeviceStart
     */
    public Long getAlarmDeviceStart(){
        return this.alarmDeviceStart;
    }

    /**
     * 设置 开始 告警设备Id
     * @param alarmDeviceStart
     */
    public void setAlarmDeviceStart(Long alarmDeviceStart){
        this.alarmDeviceStart = alarmDeviceStart;
    }

    /**
     * 获取 结束 告警设备Id
     * @return $alarmDeviceEnd
     */
    public Long getAlarmDeviceEnd(){
        return this.alarmDeviceEnd;
    }

    /**
     * 设置 结束 告警设备Id
     * @param alarmDeviceEnd
     */
    public void setAlarmDeviceEnd(Long alarmDeviceEnd){
        this.alarmDeviceEnd = alarmDeviceEnd;
    }

    /**
     * 获取 增加 告警设备Id
     * @return alarmDeviceIncrement
     */
    public Long getAlarmDeviceIncrement(){
        return this.alarmDeviceIncrement;
    }

    /**
     * 设置 增加 告警设备Id
     * @param alarmDeviceIncrement
     */
    public void setAlarmDeviceIncrement(Long alarmDeviceIncrement){
        this.alarmDeviceIncrement = alarmDeviceIncrement;
    }

    /**
     * 获取 告警设备Id
     * @return alarmDeviceList
     */
    public List<Long> getAlarmDeviceList(){
        return this.alarmDeviceList;
    }

    /**
     * 设置 告警设备Id
     * @param alarmDeviceList
     */
    public void setAlarmDeviceList(List<Long> alarmDeviceList){
        this.alarmDeviceList = alarmDeviceList;
    }

    /**
     * 获取 告警设备Id
     * @return alarmDeviceNotList
     */
    public List<Long> getAlarmDeviceNotList(){
        return this.alarmDeviceNotList;
    }

    /**
     * 设置 告警设备Id
     * @param alarmDeviceNotList
     */
    public void setAlarmDeviceNotList(List<Long> alarmDeviceNotList){
        this.alarmDeviceNotList = alarmDeviceNotList;
    }


    /**
     * 获取 开始 告警类型,(0.离线)
     * @return alarmTypeStart
     */
    public Integer getAlarmTypeStart(){
        return this.alarmTypeStart;
    }

    /**
     * 设置 开始 告警类型,(0.离线)
     * @param alarmTypeStart
     */
    public void setAlarmTypeStart(Integer alarmTypeStart){
        this.alarmTypeStart = alarmTypeStart;
    }

    /**
     * 获取 结束 告警类型,(0.离线)
     * @return $alarmTypeEnd
     */
    public Integer getAlarmTypeEnd(){
        return this.alarmTypeEnd;
    }

    /**
     * 设置 结束 告警类型,(0.离线)
     * @param alarmTypeEnd
     */
    public void setAlarmTypeEnd(Integer alarmTypeEnd){
        this.alarmTypeEnd = alarmTypeEnd;
    }

    /**
     * 获取 增加 告警类型,(0.离线)
     * @return alarmTypeIncrement
     */
    public Integer getAlarmTypeIncrement(){
        return this.alarmTypeIncrement;
    }

    /**
     * 设置 增加 告警类型,(0.离线)
     * @param alarmTypeIncrement
     */
    public void setAlarmTypeIncrement(Integer alarmTypeIncrement){
        this.alarmTypeIncrement = alarmTypeIncrement;
    }

    /**
     * 获取 告警类型,(0.离线)
     * @return alarmTypeList
     */
    public List<Integer> getAlarmTypeList(){
        return this.alarmTypeList;
    }

    /**
     * 设置 告警类型,(0.离线)
     * @param alarmTypeList
     */
    public void setAlarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
    }

    /**
     * 获取 告警类型,(0.离线)
     * @return alarmTypeNotList
     */
    public List<Integer> getAlarmTypeNotList(){
        return this.alarmTypeNotList;
    }

    /**
     * 设置 告警类型,(0.离线)
     * @param alarmTypeNotList
     */
    public void setAlarmTypeNotList(List<Integer> alarmTypeNotList){
        this.alarmTypeNotList = alarmTypeNotList;
    }


    /**
     * 获取 开始 告警级别(0.危险，1.次要，2.一般)
     * @return alarmLevelStart
     */
    public Integer getAlarmLevelStart(){
        return this.alarmLevelStart;
    }

    /**
     * 设置 开始 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelStart
     */
    public void setAlarmLevelStart(Integer alarmLevelStart){
        this.alarmLevelStart = alarmLevelStart;
    }

    /**
     * 获取 结束 告警级别(0.危险，1.次要，2.一般)
     * @return $alarmLevelEnd
     */
    public Integer getAlarmLevelEnd(){
        return this.alarmLevelEnd;
    }

    /**
     * 设置 结束 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelEnd
     */
    public void setAlarmLevelEnd(Integer alarmLevelEnd){
        this.alarmLevelEnd = alarmLevelEnd;
    }

    /**
     * 获取 增加 告警级别(0.危险，1.次要，2.一般)
     * @return alarmLevelIncrement
     */
    public Integer getAlarmLevelIncrement(){
        return this.alarmLevelIncrement;
    }

    /**
     * 设置 增加 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelIncrement
     */
    public void setAlarmLevelIncrement(Integer alarmLevelIncrement){
        this.alarmLevelIncrement = alarmLevelIncrement;
    }

    /**
     * 获取 告警级别(0.危险，1.次要，2.一般)
     * @return alarmLevelList
     */
    public List<Integer> getAlarmLevelList(){
        return this.alarmLevelList;
    }

    /**
     * 设置 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelList
     */
    public void setAlarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
    }

    /**
     * 获取 告警级别(0.危险，1.次要，2.一般)
     * @return alarmLevelNotList
     */
    public List<Integer> getAlarmLevelNotList(){
        return this.alarmLevelNotList;
    }

    /**
     * 设置 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelNotList
     */
    public void setAlarmLevelNotList(List<Integer> alarmLevelNotList){
        this.alarmLevelNotList = alarmLevelNotList;
    }


    /**
     * 获取 接收人员[设备管理的责任人]
     * @return alarmReceivePersonnelList
     */
    public List<String> getAlarmReceivePersonnelList(){
        return this.alarmReceivePersonnelList;
    }

    /**
     * 设置 接收人员[设备管理的责任人]
     * @param alarmReceivePersonnelList
     */
    public void setAlarmReceivePersonnelList(List<String> alarmReceivePersonnelList){
        this.alarmReceivePersonnelList = alarmReceivePersonnelList;
    }

    /**
     * 获取 接收人员[设备管理的责任人]
     * @return alarmReceivePersonnelNotList
     */
    public List<String> getAlarmReceivePersonnelNotList(){
        return this.alarmReceivePersonnelNotList;
    }

    /**
     * 设置 接收人员[设备管理的责任人]
     * @param alarmReceivePersonnelNotList
     */
    public void setAlarmReceivePersonnelNotList(List<String> alarmReceivePersonnelNotList){
        this.alarmReceivePersonnelNotList = alarmReceivePersonnelNotList;
    }

    /**
     * 获取 接收人员电话
     * @return receivePersonnelTelephoneList
     */
    public List<String> getReceivePersonnelTelephoneList(){
        return this.receivePersonnelTelephoneList;
    }

    /**
     * 设置 接收人员电话
     * @param receivePersonnelTelephoneList
     */
    public void setReceivePersonnelTelephoneList(List<String> receivePersonnelTelephoneList){
        this.receivePersonnelTelephoneList = receivePersonnelTelephoneList;
    }

    /**
     * 获取 接收人员电话
     * @return receivePersonnelTelephoneNotList
     */
    public List<String> getReceivePersonnelTelephoneNotList(){
        return this.receivePersonnelTelephoneNotList;
    }

    /**
     * 设置 接收人员电话
     * @param receivePersonnelTelephoneNotList
     */
    public void setReceivePersonnelTelephoneNotList(List<String> receivePersonnelTelephoneNotList){
        this.receivePersonnelTelephoneNotList = receivePersonnelTelephoneNotList;
    }

    /**
     * 获取 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @return alarmStatusStart
     */
    public Integer getAlarmStatusStart(){
        return this.alarmStatusStart;
    }

    /**
     * 设置 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusStart
     */
    public void setAlarmStatusStart(Integer alarmStatusStart){
        this.alarmStatusStart = alarmStatusStart;
    }

    /**
     * 获取 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @return $alarmStatusEnd
     */
    public Integer getAlarmStatusEnd(){
        return this.alarmStatusEnd;
    }

    /**
     * 设置 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusEnd
     */
    public void setAlarmStatusEnd(Integer alarmStatusEnd){
        this.alarmStatusEnd = alarmStatusEnd;
    }

    /**
     * 获取 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @return alarmStatusIncrement
     */
    public Integer getAlarmStatusIncrement(){
        return this.alarmStatusIncrement;
    }

    /**
     * 设置 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusIncrement
     */
    public void setAlarmStatusIncrement(Integer alarmStatusIncrement){
        this.alarmStatusIncrement = alarmStatusIncrement;
    }

    /**
     * 获取 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @return alarmStatusList
     */
    public List<Integer> getAlarmStatusList(){
        return this.alarmStatusList;
    }

    /**
     * 设置 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusList
     */
    public void setAlarmStatusList(List<Integer> alarmStatusList){
        this.alarmStatusList = alarmStatusList;
    }

    /**
     * 获取 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @return alarmStatusNotList
     */
    public List<Integer> getAlarmStatusNotList(){
        return this.alarmStatusNotList;
    }

    /**
     * 设置 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusNotList
     */
    public void setAlarmStatusNotList(List<Integer> alarmStatusNotList){
        this.alarmStatusNotList = alarmStatusNotList;
    }


    /**
     * 获取 告警详细内容
     * @return alarmContentList
     */
    public List<String> getAlarmContentList(){
        return this.alarmContentList;
    }

    /**
     * 设置 告警详细内容
     * @param alarmContentList
     */
    public void setAlarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
    }

    /**
     * 获取 告警详细内容
     * @return alarmContentNotList
     */
    public List<String> getAlarmContentNotList(){
        return this.alarmContentNotList;
    }

    /**
     * 设置 告警详细内容
     * @param alarmContentNotList
     */
    public void setAlarmContentNotList(List<String> alarmContentNotList){
        this.alarmContentNotList = alarmContentNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 站点Id，来源基础服务平台
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id，来源基础服务平台
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id，来源基础服务平台
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id，来源基础服务平台
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id，来源基础服务平台
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 设备编码
     * @return deviceCodeList
     */
    public List<String> getDeviceCodeList(){
        return this.deviceCodeList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public void setDeviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
    }

    /**
     * 获取 设备编码
     * @return deviceCodeNotList
     */
    public List<String> getDeviceCodeNotList(){
        return this.deviceCodeNotList;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeNotList
     */
    public void setDeviceCodeNotList(List<String> deviceCodeNotList){
        this.deviceCodeNotList = deviceCodeNotList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameList
     */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }

    /**
     * 获取 设备名称
     * @return deviceNameNotList
     */
    public List<String> getDeviceNameNotList(){
        return this.deviceNameNotList;
    }

    /**
     * 设置 设备名称
     * @param deviceNameNotList
     */
    public void setDeviceNameNotList(List<String> deviceNameNotList){
        this.deviceNameNotList = deviceNameNotList;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeviceAlarmInfoQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeviceAlarmInfoQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeviceAlarmInfoQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeviceAlarmInfoQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeviceAlarmInfoQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DeviceAlarmInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置  告警设备Id
     * @param alarmDevice
     */
    public DeviceAlarmInfoQuery alarmDevice(Long alarmDevice){
        setAlarmDevice(alarmDevice);
        return this;
    }

    /**
     * 设置 开始 告警设备Id
     * @param alarmDeviceStart
     */
    public DeviceAlarmInfoQuery alarmDeviceStart(Long alarmDeviceStart){
        this.alarmDeviceStart = alarmDeviceStart;
        return this;
    }

    /**
     * 设置 结束 告警设备Id
     * @param alarmDeviceEnd
     */
    public DeviceAlarmInfoQuery alarmDeviceEnd(Long alarmDeviceEnd){
        this.alarmDeviceEnd = alarmDeviceEnd;
        return this;
    }

    /**
     * 设置 增加 告警设备Id
     * @param alarmDeviceIncrement
     */
    public DeviceAlarmInfoQuery alarmDeviceIncrement(Long alarmDeviceIncrement){
        this.alarmDeviceIncrement = alarmDeviceIncrement;
        return this;
    }

    /**
     * 设置 告警设备Id
     * @param alarmDeviceList
     */
    public DeviceAlarmInfoQuery alarmDeviceList(List<Long> alarmDeviceList){
        this.alarmDeviceList = alarmDeviceList;
        return this;
    }

    /**
     * 设置 告警设备Id
     * @param alarmDeviceNotList
     */
    public DeviceAlarmInfoQuery alarmDeviceNotList(List<Long> alarmDeviceNotList){
        this.alarmDeviceNotList = alarmDeviceNotList;
        return this;
    }

    /**
     * 设置  告警类型,(0.离线)
     * @param alarmType
     */
    public DeviceAlarmInfoQuery alarmType(Integer alarmType){
        setAlarmType(alarmType);
        return this;
    }

    /**
     * 设置 开始 告警类型,(0.离线)
     * @param alarmTypeStart
     */
    public DeviceAlarmInfoQuery alarmTypeStart(Integer alarmTypeStart){
        this.alarmTypeStart = alarmTypeStart;
        return this;
    }

    /**
     * 设置 结束 告警类型,(0.离线)
     * @param alarmTypeEnd
     */
    public DeviceAlarmInfoQuery alarmTypeEnd(Integer alarmTypeEnd){
        this.alarmTypeEnd = alarmTypeEnd;
        return this;
    }

    /**
     * 设置 增加 告警类型,(0.离线)
     * @param alarmTypeIncrement
     */
    public DeviceAlarmInfoQuery alarmTypeIncrement(Integer alarmTypeIncrement){
        this.alarmTypeIncrement = alarmTypeIncrement;
        return this;
    }

    /**
     * 设置 告警类型,(0.离线)
     * @param alarmTypeList
     */
    public DeviceAlarmInfoQuery alarmTypeList(List<Integer> alarmTypeList){
        this.alarmTypeList = alarmTypeList;
        return this;
    }

    /**
     * 设置 告警类型,(0.离线)
     * @param alarmTypeNotList
     */
    public DeviceAlarmInfoQuery alarmTypeNotList(List<Integer> alarmTypeNotList){
        this.alarmTypeNotList = alarmTypeNotList;
        return this;
    }

    /**
     * 设置  告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevel
     */
    public DeviceAlarmInfoQuery alarmLevel(Integer alarmLevel){
        setAlarmLevel(alarmLevel);
        return this;
    }

    /**
     * 设置 开始 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelStart
     */
    public DeviceAlarmInfoQuery alarmLevelStart(Integer alarmLevelStart){
        this.alarmLevelStart = alarmLevelStart;
        return this;
    }

    /**
     * 设置 结束 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelEnd
     */
    public DeviceAlarmInfoQuery alarmLevelEnd(Integer alarmLevelEnd){
        this.alarmLevelEnd = alarmLevelEnd;
        return this;
    }

    /**
     * 设置 增加 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelIncrement
     */
    public DeviceAlarmInfoQuery alarmLevelIncrement(Integer alarmLevelIncrement){
        this.alarmLevelIncrement = alarmLevelIncrement;
        return this;
    }

    /**
     * 设置 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelList
     */
    public DeviceAlarmInfoQuery alarmLevelList(List<Integer> alarmLevelList){
        this.alarmLevelList = alarmLevelList;
        return this;
    }

    /**
     * 设置 告警级别(0.危险，1.次要，2.一般)
     * @param alarmLevelNotList
     */
    public DeviceAlarmInfoQuery alarmLevelNotList(List<Integer> alarmLevelNotList){
        this.alarmLevelNotList = alarmLevelNotList;
        return this;
    }


    /**
     * 设置 接收人员[设备管理的责任人]
     * @param alarmReceivePersonnel
     */
    public DeviceAlarmInfoQuery alarmReceivePersonnel(String alarmReceivePersonnel){
        setAlarmReceivePersonnel(alarmReceivePersonnel);
        return this;
    }

    /**
     * 设置 接收人员[设备管理的责任人]
     * @param alarmReceivePersonnelList
     */
    public DeviceAlarmInfoQuery alarmReceivePersonnelList(List<String> alarmReceivePersonnelList){
        this.alarmReceivePersonnelList = alarmReceivePersonnelList;
        return this;
    }


    /**
     * 设置 接收人员电话
     * @param receivePersonnelTelephone
     */
    public DeviceAlarmInfoQuery receivePersonnelTelephone(String receivePersonnelTelephone){
        setReceivePersonnelTelephone(receivePersonnelTelephone);
        return this;
    }

    /**
     * 设置 接收人员电话
     * @param receivePersonnelTelephoneList
     */
    public DeviceAlarmInfoQuery receivePersonnelTelephoneList(List<String> receivePersonnelTelephoneList){
        this.receivePersonnelTelephoneList = receivePersonnelTelephoneList;
        return this;
    }

    /**
     * 设置  告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatus
     */
    public DeviceAlarmInfoQuery alarmStatus(Integer alarmStatus){
        setAlarmStatus(alarmStatus);
        return this;
    }

    /**
     * 设置 开始 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusStart
     */
    public DeviceAlarmInfoQuery alarmStatusStart(Integer alarmStatusStart){
        this.alarmStatusStart = alarmStatusStart;
        return this;
    }

    /**
     * 设置 结束 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusEnd
     */
    public DeviceAlarmInfoQuery alarmStatusEnd(Integer alarmStatusEnd){
        this.alarmStatusEnd = alarmStatusEnd;
        return this;
    }

    /**
     * 设置 增加 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusIncrement
     */
    public DeviceAlarmInfoQuery alarmStatusIncrement(Integer alarmStatusIncrement){
        this.alarmStatusIncrement = alarmStatusIncrement;
        return this;
    }

    /**
     * 设置 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusList
     */
    public DeviceAlarmInfoQuery alarmStatusList(List<Integer> alarmStatusList){
        this.alarmStatusList = alarmStatusList;
        return this;
    }

    /**
     * 设置 告警状态,来自工单系统(0.未清除，1.清除未确认，2.清除已确认)
     * @param alarmStatusNotList
     */
    public DeviceAlarmInfoQuery alarmStatusNotList(List<Integer> alarmStatusNotList){
        this.alarmStatusNotList = alarmStatusNotList;
        return this;
    }


    /**
     * 设置 告警详细内容
     * @param alarmContent
     */
    public DeviceAlarmInfoQuery alarmContent(String alarmContent){
        setAlarmContent(alarmContent);
        return this;
    }

    /**
     * 设置 告警详细内容
     * @param alarmContentList
     */
    public DeviceAlarmInfoQuery alarmContentList(List<String> alarmContentList){
        this.alarmContentList = alarmContentList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeviceAlarmInfoQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeviceAlarmInfoQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeviceAlarmInfoQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeviceAlarmInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeviceAlarmInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DeviceAlarmInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  站点Id，来源基础服务平台
     * @param siteId
     */
    public DeviceAlarmInfoQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id，来源基础服务平台
     * @param siteIdStart
     */
    public DeviceAlarmInfoQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id，来源基础服务平台
     * @param siteIdEnd
     */
    public DeviceAlarmInfoQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id，来源基础服务平台
     * @param siteIdIncrement
     */
    public DeviceAlarmInfoQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdList
     */
    public DeviceAlarmInfoQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteIdNotList
     */
    public DeviceAlarmInfoQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public DeviceAlarmInfoQuery deviceCode(String deviceCode){
        setDeviceCode(deviceCode);
        return this;
    }

    /**
     * 设置 设备编码
     * @param deviceCodeList
     */
    public DeviceAlarmInfoQuery deviceCodeList(List<String> deviceCodeList){
        this.deviceCodeList = deviceCodeList;
        return this;
    }


    /**
     * 设置 设备名称
     * @param deviceName
     */
    public DeviceAlarmInfoQuery deviceName(String deviceName){
        setDeviceName(deviceName);
        return this;
    }

    /**
     * 设置 设备名称
     * @param deviceNameList
     */
    public DeviceAlarmInfoQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeviceAlarmInfoQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeviceAlarmInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeviceAlarmInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeviceAlarmInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}